Package net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl

# Class AbstractSAMLDataConnectorParser.CustomPropertyValue

java.lang.Object
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser.CustomPropertyValue

Enclosing class:
  AbstractSAMLDataConnectorParser

protected static class AbstractSAMLDataConnectorParser.CustomPropertyValue extends Object
A class for representing the value of a custom property.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`reference`
Flag indicating whether property is bean reference.
`private String`
`value`
Property type.

## Constructor Summary

Constructors
Constructor
Description
`CustomPropertyValue(String propValue, boolean isReference)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Get the property value.
`boolean`
`isReference()`
Get the flag indicating whether property is a bean reference.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### value

@Nonnull private String value
Property type.

### reference

private boolean reference
Flag indicating whether property is bean reference.

## Constructor Details

### CustomPropertyValue

public CustomPropertyValue(@Nonnull String propValue, boolean isReference)
Constructor.

Parameters:
  `propValue` - property type
  `isReference` - is property bean reference

## Method Details

### getValue

@Nonnull public String getValue()
Get the property value.

Returns:
  the value

### isReference

public boolean isReference()
Get the flag indicating whether property is a bean reference.

Returns:
  the flag